Bug 1479839 - Remove old dead services from systemd osp11
Remove old dead services from systemd osp11
Status: CLOSED DUPLICATE of bug 1484925
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
11.0 (Ocata)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Angus Thomas
Raviv Bar-Tal
: ZStream
: 1481314 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-09 10:22 EDT by Raviv Bar-Tal
Modified: 2017-08-28 17:36 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-24 10:58:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raviv Bar-Tal 2017-08-09 10:22:02 EDT
Description of problem:
some openstack services were removed from osp11 and are not needed any more.
But when running the command `systemctl list-units 'openstack-*' --all`
User see the services as "not-found inactive dead"



Version-Release number of selected component (if applicable):


How reproducible:
run the command on undercloud and overcloude nodes:
`sudo systemctl list-units 'openstack-*' --all`

Steps to Reproduce:
1.
2.
3.

Actual results:

  UNIT                                       LOAD      ACTIVE   SUB     DESCRIPTION
  openstack-aodh-evaluator.service           loaded    active   running OpenStack Alarm evaluator service
  openstack-aodh-listener.service            loaded    active   running OpenStack Alarm listener service
  openstack-aodh-notifier.service            loaded    active   running OpenStack Alarm notifier service
  openstack-ceilometer-central.service       loaded    active   running OpenStack ceilometer central agent
  openstack-ceilometer-collector.service     loaded    active   running OpenStack ceilometer collection service
  openstack-ceilometer-notification.service  loaded    active   running OpenStack ceilometer notification agent
● openstack-cinder-volume.service            not-found inactive dead    openstack-cinder-volume.service
  openstack-glance-api.service               loaded    active   running OpenStack Image Service (code-named Glance) API server
  openstack-glance-registry.service          loaded    inactive dead    OpenStack Image Service (code-named Glance) Registry server
  openstack-gnocchi-metricd.service          loaded    active   running OpenStack gnocchi metricd service
  openstack-gnocchi-statsd.service           loaded    active   running OpenStack gnocchi statsd service
  openstack-heat-api-cfn.service             loaded    active   running Openstack Heat CFN-compatible API Service
  openstack-heat-api.service                 loaded    active   running OpenStack Heat API Service
  openstack-heat-engine.service              loaded    active   running Openstack Heat Engine Service
  openstack-ironic-api.service               loaded    active   running OpenStack Ironic API service
  openstack-ironic-conductor.service         loaded    active   running OpenStack Ironic Conductor service
  openstack-ironic-inspector-dnsmasq.service loaded    active   running PXE boot dnsmasq service for Ironic Inspector
  openstack-ironic-inspector.service         loaded    active   running Hardware introspection service for OpenStack Ironic
● openstack-keystone.service                 not-found inactive dead    openstack-keystone.service
  openstack-mistral-api.service              loaded    active   running Mistral API Server
  openstack-mistral-engine.service           loaded    active   running Mistral Engine Server
  openstack-mistral-executor.service         loaded    active   running Mistral Executor Server
  openstack-nova-api.service                 loaded    active   running OpenStack Nova API Server
  openstack-nova-cert.service                loaded    active   running OpenStack Nova Cert Server
  openstack-nova-compute.service             loaded    active   running OpenStack Nova Compute Server
  openstack-nova-conductor.service           loaded    active   running OpenStack Nova Conductor Server
● openstack-nova-network.service             not-found inactive dead    openstack-nova-network.service
● openstack-nova-objectstore.service         not-found inactive dead    openstack-nova-objectstore.service
  openstack-nova-scheduler.service           loaded    active   running OpenStack Nova Scheduler Server
● openstack-nova-volume.service              not-found inactive dead    openstack-nova-volume.service
● openstack-nova.compute.service             not-found inactive dead    openstack-nova.compute.service
  openstack-swift-account-reaper.service     loaded    active   running OpenStack Object Storage (swift) - Account Reaper
  openstack-swift-account.service            loaded    active   running OpenStack Object Storage (swift) - Account Server
  openstack-swift-container-updater.service  loaded    active   running OpenStack Object Storage (swift) - Container Updater
  openstack-swift-container.service          loaded    active   running OpenStack Object Storage (swift) - Container Server
  openstack-swift-object-updater.service     loaded    active   running OpenStack Object Storage (swift) - Object Updater
  openstack-swift-object.service             loaded    active   running OpenStack Object Storage (swift) - Object Server
  openstack-swift-proxy.service              loaded    active   running OpenStack Object Storage (swift) - Proxy Server
  openstack-zaqar.service                    loaded    active   running OpenStack Message Queuing Service (code-named Zaqar) Server
  openstack-zaqar@1.service                  loaded    active   running OpenStack Message Queuing Service (code-named Zaqar) Server Instance 1

Expected results:


Additional info:
Comment 3 Raviv Bar-Tal 2017-08-24 10:57:49 EDT
This bug was splitted into 3 BZ according to service DF's:
BZ 1484925
BZ 1484928
BZ 1484929
Comment 4 Raviv Bar-Tal 2017-08-24 10:58:48 EDT

*** This bug has been marked as a duplicate of bug 1484925 ***
Comment 5 Alex Schultz 2017-08-28 17:36:58 EDT
*** Bug 1481314 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.